Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163033 - package list column header sorting doesn't work
Summary: package list column header sorting doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: athlon
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 12:29 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:29:11 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-07-12 12:29:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414

Description of problem:
When in the Available Package Updates section, you can press on the headers
("Package name", "Version", etc.) but it doesn't do anything.  I would expect that it would sort by that column.  This would be especially useful for the Channel column.

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

How reproducible:
Always

Steps to Reproduce:
1. Click Forward to get to the "Available Package Updates" section.
2. Press on the column headers.
3.
  

Actual Results:  Nothing

Expected Results:  Packages to be sorted by the column that was selected.

Additional info:

Comment 1 John Thacker 2006-10-29 20:28:06 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 2 John Thacker 2006-11-05 16:29:11 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.